MDIController

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.mdi.client
Interface MDIController

public interface MDIController

Title: OpenSwing Framework

Description: Interface called by MDIFrame to: - correctly close the application - logon into the system - view application functions (inside a tree or as menu items in the menubar)

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Method Summary
`void` | `afterMDIcreation(MDIFrame frame)` Method called after MDI creation.
`java.lang.String` | `getAboutImage()`
`java.lang.String` | `getAboutText()`
`javax.swing.tree.DefaultTreeModel` | `getApplicationFunctions()`
`ClientFacade` | `getClientFacade()`
`int` | `getExtendedState()`
`java.util.ArrayList` | `getLanguages()`
`java.lang.String` | `getMDIFrameTitle()`
`void` | `stopApplication()` Method used to destroy application.
`boolean` | `viewChangeLanguageInMenuBar()`
`boolean` | `viewFileMenu()`
`boolean` | `viewFunctionsInMenuBar()` Defines if application functions must be viewed in the menubar of MDI Frame.
`boolean` | `viewFunctionsInTreePanel()` Defines if application functions must be viewed inside a tree panel of MDI Frame.
`javax.swing.JDialog` | `viewLoginDialog(javax.swing.JFrame parentFrame)`
`boolean` | `viewLoginInMenuBar()`
`boolean` | `viewOpenedWindowIcons()`

Method Detail

### afterMDIcreation

    public void afterMDIcreation(MDIFrame frame)

  Method called after MDI creation.

### getMDIFrameTitle

    public java.lang.String getMDIFrameTitle()

  Returns:
    application title

### getExtendedState

    public int getExtendedState()

  See Also:
    `getExtendedState method`

### getAboutText

    public java.lang.String getAboutText()

  Returns:
    text to view in the about dialog window

### getAboutImage

    public java.lang.String getAboutImage()

  Returns:
    image name to view in the about dialog window (optional); if null then the about window will view only "getAboutText" message

### stopApplication

    public void stopApplication()

  Method used to destroy application.

### viewChangeLanguageInMenuBar

    public boolean viewChangeLanguageInMenuBar()

  Returns:
    `true` if the MDI frame must show a change language menu in the menubar, `false` no change language menu item will be added

### getLanguages

    public java.util.ArrayList getLanguages()

  Returns:
    list of languages supported by the application (Language objects)

### viewLoginInMenuBar

    public boolean viewLoginInMenuBar()

  Returns:
    `true` if the MDI frame must show a login menu in the menubar, `false` no login menu item will be added

### viewLoginDialog

    public javax.swing.JDialog viewLoginDialog(javax.swing.JFrame parentFrame)

  Parameters:
    `parentFrame` - parent frame
  Returns:
    a dialog window to logon the application; the method can return null if viewLoginInMenuBar returns false

### viewFunctionsInTreePanel

    public boolean viewFunctionsInTreePanel()

  Defines if application functions must be viewed inside a tree panel of MDI Frame.

  Returns:
    `true` if application functions must be viewed inside a tree panel of MDI Frame, `false` no tree is viewed

### viewFunctionsInMenuBar

    public boolean viewFunctionsInMenuBar()

  Defines if application functions must be viewed in the menubar of MDI Frame.

  Returns:
    `true` if application functions must be viewed in the menubar of MDI Frame, `false` otherwise

### getClientFacade

    public ClientFacade getClientFacade()

  Returns:
    client facade, invoked by the MDI Frame tree/menu

### getApplicationFunctions

    public javax.swing.tree.DefaultTreeModel getApplicationFunctions()

  Returns:
    application functions (ApplicationFunction objects), organized as a tree

### viewOpenedWindowIcons

    public boolean viewOpenedWindowIcons()

  Returns:
    `true` if the MDI frame must show a panel in the bottom, containing last opened window icons, `false` no panel is showed

### viewFileMenu

    public boolean viewFileMenu()

  Returns:
    `true` if the MDI frame must show the "File" menu in the menubar of the frame, `false` to hide it

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD